# Note:  The tests for this perl dist. are disabled by default, as they
# require network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.

Name:           perl-POE-Component-Client-HTTP
Version:        0.85
Release:        3%{?dist}
Summary:        A non-blocking/parallel web requests engine for POE

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/POE-Component-Client-HTTP            
Source0:        http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Component-Client-HTTP-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  sed
BuildRequires:  perl, perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POE) >= 0.31, perl(HTTP::Request) >= 1.30
BuildRequires:  perl(HTTP::Response) >= 1.37, perl(URI) >= 1.24
BuildRequires:  perl(POE::Component::Client::Keepalive) >= 0.0901

# tests...
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::More)

# use base...
Requires:       perl(POE::Filter), perl(POE::Filter::Stackable)
# use POE qw{ ... }
Requires:       perl(POE::Component::Client::Keepalive) >= 0.0901

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Component::Client::HTTP is an HTTP user-agent for POE. It lets other
sessions run while HTTP transactions are being processed, and it lets several
HTTP transactions be processed in parallel.


%prep
%setup -q -n POE-Component-Client-HTTP-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

cd examples
sed -i '/#!perl/d;s/\r//' pcchget.perl


%check
# we don't have network access during the builds; fortunately these look to be
# the only tests requiring it.  Failing that, the entire suite can be
# disabled.
%{?!_with_network_tests:rm t/01* t/02* t/09* t/10* t/11* t/50* t/54* t/58* t/59*}

make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES* README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun Mar 22 2009 Robert Scheck <robert@fedoraproject.org> 0.85-3
- Disabled the network requiring test t/59_andy_one_keepalive.t
 
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.85-1
- update to 0.85

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.82-2
- rebuild for new perl

* Sat Apr 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.82-1
- update to 0.82
- additional BR's for perl splittage
- nix dos2unix BR

* Thu Jan 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.80-2
- nix another text when not performing network-enabled tests

* Thu Jan 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.80-1
- update to 0.80

* Sun Oct 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.79-1
- update to 0.79-1
- add pod test modules to BR

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.78-1
- update to 0.78
- minor spec tweaks
- bump version BR on PoCo::Client::Keepalive to 0.0901 (tests fail otherwise)
- ...and add explicit requires on the above (the way POE loads its PoCo's irks
  me sometimes...)

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.77-3
- bump for mass rebuild

* Wed Aug 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 
- nixed t/10* due to mock build issues with reduced buildroot.  see BZ#202602.
  This fix does not warrant a rebuild.

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.77-2
- bump for build

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.77-1
- switched to the same _with_network_tests test as perl-POE-Component-IRC
- updated to 0.77

* Thu Jul 20 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.76-1
- bits snipped

* Thu Jul 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.76-0
- Initial spec file for F-E
